/*****************************************************************************\
* (c) Copyright 2000-2019 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/
#ifndef CALODIGITFILTERALG_H 
#define CALODIGITFILTERALG_H 1

// Include files
// from Gaudi
#include "GaudiAlg/GaudiAlgorithm.h"
#include "CaloDAQ/ICaloDigitFilterTool.h"


/** @class CaloDigitFilterAlg CaloDigitFilterAlg.h
 *  
 *
 *  @author Olivier Deschamps
 *  @date   2010-12-21
 */
class CaloDigitFilterAlg : public GaudiAlgorithm {
public: 
  /// Standard constructor
  CaloDigitFilterAlg( const std::string& name, ISvcLocator* pSvcLocator );

  virtual ~CaloDigitFilterAlg( ); ///< Destructor

  virtual StatusCode initialize();    ///< Algorithm initialization
  virtual StatusCode execute   ();    ///< Algorithm execution

protected:
  bool mask(int& val){return (val&0x1) != 0;}
  bool offset(int& val){return (val&0x2) !=0;}

private:
  int m_ecal;
  int m_hcal;
  int m_prs;
  int m_spd;
  ICaloDigitFilterTool* m_filter;
};
#endif // CALODIGITFILTERALG_H
