###############################################################################
# (c) Copyright 2000-2019 CERN for the benefit of the LHCb Collaboration      #
#                                                                             #
# This software is distributed under the terms of the GNU General Public      #
# Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   #
#                                                                             #
# In applying this licence, CERN does not waive the privileges and immunities #
# granted to it by virtue of its status as an Intergovernmental Organization  #
# or submit itself to any jurisdiction.                                       #
###############################################################################
from Gaudi.Configuration import *
from Configurables import DecodeRawEvent

from DAQSys.Decoders import DecoderDB

for i,v in DecoderDB.iteritems():
    v.Properties["OutputLevel"]=VERBOSE
    if "Hlt" in i and "ReportsDecoder" in i:
        v.Active=False
    for b in ["UT","FT","VP","VL"]:
        if b in v.Banks:
            v.Active=False

DecoderDB["MuonRec"].Active=False

DecodeRawEvent().OverrideInputs=999
from Configurables import GaudiSequencer

for i,v in DecoderDB.iteritems():
    if v.Active:
       GaudiSequencer("SPAM").Members.append(v.setup())

from Configurables import StoreExplorerAlg

StoreExplorerAlg().Load=True

ApplicationMgr().TopAlg=[GaudiSequencer("SPAM"),StoreExplorerAlg()]
