/*****************************************************************************\
* (c) Copyright 2000-2019 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/
#ifndef COMPONENT_ODINBCIDFILTER_H 
#define COMPONENT_ODINBCIDFILTER_H 1

// Include files
// from Gaudi
#include "GaudiAlg/GaudiAlgorithm.h"


/** @class OdinBCIDFilter OdinBCIDFilter.h component/OdinBCIDFilter.h
 *  
 *
 *  @author Olivier Deschamps
 *  @date   2008-02-05
 */
class OdinBCIDFilter : public GaudiAlgorithm {
public: 
  /// Standard constructor
  OdinBCIDFilter( const std::string& name, ISvcLocator* pSvcLocator );

  virtual ~OdinBCIDFilter( ); ///< Destructor

  virtual StatusCode initialize();    ///< Algorithm initialization
  virtual StatusCode execute   ();    ///< Algorithm execution
  virtual StatusCode finalize  ();    ///< Algorithm finalization

protected:

private:
  bool rule(long bx);
  long m_mask;
  long m_value;
  std::string m_comparator;
  bool m_revert;

  long m_all;
  long m_acc;
  
};
#endif // COMPONENT_ODINBCIDFILTER_H
