/*****************************************************************************\
* (c) Copyright 2000-2019 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/
#ifndef TESTS_RAWEVENTSELECTIVECOPY_H 
#define TESTS_RAWEVENTSELECTIVECOPY_H 1

// Include files
// from Gaudi
#include "GaudiAlg/GaudiAlgorithm.h"

/** @class RawEventSelectiveCopy RawEventSelectiveCopy.h
 *  Copies selected RawBanks to RawEvent at a new TES location. 
 *
 *  @author Tomasz Skwarnicki
 *  @date   2009-06-22
 */
class RawEventSelectiveCopy : public GaudiAlgorithm {
public: 
  /// Standard constructor
  RawEventSelectiveCopy( const std::string& name, ISvcLocator* pSvcLocator );

  virtual ~RawEventSelectiveCopy( );     ///< Destructor
  virtual StatusCode initialize();      ///< Algorithm initialization
  virtual StatusCode execute();         ///< Algorithm execution

protected:

private:

  StringArrayProperty m_banksToCopy;
  StringArrayProperty m_banksToRemove;
  StringProperty      m_inputLocation;
  StringProperty      m_outputLocation;
  
  std::vector<LHCb::RawBank::BankType> m_bankTypes;
};


#endif // TESTS_RAWEVENTSELECTIVECOPY_H
