/*****************************************************************************\
* (c) Copyright 2000-2019 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/
// ============================================================================
// Include files
// ============================================================================
#include "DetDesc/ISolid.h"
#include "DetDesc/IDetectorElement.h"
#include "DetDesc/IGeometryInfo.h"
#include "DetDesc/IPVolume.h"
#include "DetDesc/ILVolume.h"
// ============================================================================

// ============================================================================
/** @file 
 *  (empty) Implementaton of virtual destrctors for abstract classes 
 *  @author Vanya BELYAEV Ivan.Belyaev@itep.ru
 */
// ============================================================================

// ============================================================================
IDetectorElement:: ~IDetectorElement () {}
// ============================================================================
IGeometryInfo::    ~IGeometryInfo    () {}
// ============================================================================
ISolid::           ~ISolid           () {}
// ============================================================================
ILVolume::         ~ILVolume         () {}
// ============================================================================
IPVolume::         ~IPVolume         () {}
// ============================================================================



// ============================================================================
// The END 
// ============================================================================
