/*****************************************************************************\
* (c) Copyright 2000-2019 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/
// Include files 



// local
#include "MuonDet/MuonStationCabling.h"
#include <iostream>

//-----------------------------------------------------------------------------
// Implementation file for class : MuonStationCabling
//
// 2004-01-07 : Alessia Satta
//-----------------------------------------------------------------------------

//=============================================================================
// Standard constructor, initializes variables
//=============================================================================
MuonStationCabling::MuonStationCabling(  ) {
  m_numberOfL1Board=0;
  
}
//=============================================================================
// Destructor
//=============================================================================
MuonStationCabling::~MuonStationCabling() {}

//=============================================================================
 StatusCode MuonStationCabling::update(long l1numb){
  m_numberOfL1Board=l1numb;
  return StatusCode::SUCCESS;
}

StatusCode MuonStationCabling::addL1Name(std::string name)
{

  if((int)m_listOfL1.size()<= m_numberOfL1Board){
    m_listOfL1.push_back(name);
    return StatusCode::SUCCESS;
  }else{
    return StatusCode::FAILURE;

  }
}

/// update constructor, do a deep copy of all
/// except for the properties of a generic DataObject
void MuonStationCabling::update( Condition& obj ){
  Condition::update((Condition&)obj);
  MuonStationCabling* obj1=static_cast<MuonStationCabling*> (&obj);
  m_numberOfL1Board=obj1->getNumberOfL1Board();
  m_listOfL1.clear();
  m_listOfL1=obj1->getAllL1Names();
  
}

/// update constructor, do a deep copy of all
/// except for the properties of a generic DataObject
void MuonStationCabling::update( ValidDataObject& obj ){
Condition& cc=dynamic_cast<Condition&>(obj);
 Condition::update((Condition&)cc);
MuonStationCabling* obj1=static_cast<MuonStationCabling*> (&obj);
  m_numberOfL1Board=obj1->getNumberOfL1Board();
  m_listOfL1.clear();
  m_listOfL1=obj1->getAllL1Names();
  
}
