/*****************************************************************************\
* (c) Copyright 2000-2019 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/
// Include files 
#include <utility>
#include <string>
#include <map>
#include <sstream>

#include "Event/L0DUTrigger.h"

//-------------------------------–—----------------------------------------------
// Auxilliary Implementation file for L0DUTrigger Event classes
//
// 09/02/2006 : Olivier Deschamps
//-----------------------------------------------------------------------------


std::string LHCb::L0DUTrigger::summary(){

  std::ostringstream s(" ");
  s << description()
    << "  ===== <** EMULATED DECISION **> = <"<< emulatedDecision() << ">" << std::endl;
  return s.str();


}

std::string LHCb::L0DUTrigger::description(){
  std::ostringstream os(" ");
  std::ostringstream s(" ");
  unsigned int k=0;
  for(LHCb::L0DUChannel::Map::iterator ic = m_channels.begin()  ; ic != m_channels.end() ; ic++){
    k++;
    os << L0DUDecision::Name[((*ic).second)->decisionType()] <<"|" <<((*ic).second)->name()  ;
    if( k != m_channels.size() ) os << " || ";
  }
  s << " ====  Trigger '" << L0DUDecision::Name[m_decisionType] +"|"+m_name   << "' = [" << os.str() << "]" << std::endl;
  return s.str();


}

