/*****************************************************************************\
* (c) Copyright 2000-2019 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/

// local
#include "Event/GhostTrackInfo.h"

//MCParticle* LHCb::GhostTrackInfo::bestMatch() const{

//}


// fillstream method
std::ostream& LHCb::GhostTrackInfo::fillStream(std::ostream& s) const
{
  s << "{ " << "classed as :";
  s << m_classification; 
  s << std::endl << " }";
  return s;
}

LHCb::GhostTrackInfo::LinkPair LHCb::GhostTrackInfo::bestLink() const{

  LHCb::GhostTrackInfo::LinkMap::const_iterator iterMap = m_linkMap.begin();
  double tot = 0.0;
  std::pair<LHCb::MCParticle*,unsigned int> best(0,0);
  for (; iterMap != m_linkMap.end(); ++iterMap){
    if ( iterMap->second > best.second ){
      best = *iterMap;
    }
    tot+= iterMap->second;
  } // iterMap
  
  const double purity = double(best.second)/tot;
  return std::make_pair(best.first,purity); 
}
