/*****************************************************************************\
* (c) Copyright 2000-2019 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/
// ============================================================================
#ifndef KERNEL_IACCEPT_H
#define KERNEL_IACCEPT_H 1
// ============================================================================
// Include files
// ============================================================================
// GaudiKernel
// ============================================================================
#include "GaudiKernel/Kernel.h"
#include "GaudiKernel/IAlgTool.h"
// ============================================================================
/** @class IAccept Kernel/IAccept.h
 *
 *  Generic 'accept'-interface
 *
 *  @author Vanya Belyaev
 *  @date   2010-08-02
 */
class GAUDI_API IAccept : virtual public IAlgTool
{
public:
  // ==========================================================================
  /// InterfaceID
  DeclareInterfaceID(IAccept, 4, 0);
  // ==========================================================================
public:
  // ==========================================================================
  /// make a generic selection
  virtual bool accept () const = 0 ;
  // ==========================================================================
protected:
  // ==========================================================================
  /// virtual & protected destructor
  virtual ~IAccept ( ) ;                      // virtual & protected destructor
  // ==========================================================================
};
// ============================================================================
// The END
// ============================================================================
#endif // KERNEL_ISELECTOR_H
// ============================================================================
