/*****************************************************************************\
* (c) Copyright 2000-2019 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/
#ifndef VELOALGORITHMS_IMCVELOFETYPE_H
#define VELOALGORITHMS_IMCVELOFETYPE_H 1

// Include files
// from STL
#include <string>

// from Gaudi
#include "GaudiKernel/IAlgTool.h"

static const InterfaceID IID_IMCVeloFEType ( "IMCVeloFEType", 1, 0 );

/** @class IMCVeloFEType IMCVeloFEType.h VeloAlgorithms/IMCVeloFEType.h
 *
 *
 *  @author Tomasz Szumlak
 *  @date   2005-11-16
 */

namespace LHCb
{
  class MCVeloFE;
}

class IMCVeloFEType : virtual public IAlgTool 
{

public:

    enum Types{ Signal=0,
                Noise,
                Other };
  // Return the interface ID
  static const InterfaceID& interfaceID() { return IID_IMCVeloFEType; }

  virtual void FEType(const LHCb::MCVeloFE* fe, int& feType)=0;

};
#endif // VELOALGORITHMS_IMCVELOFETYPE_H
