/*****************************************************************************\
* (c) Copyright 2000-2019 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/
#ifndef IL0CONDDBPROVIDER_H 
#define IL0CONDDBPROVIDER_H 1

// Include files
// from STL
#include <string>

// from Gaudi
#include "GaudiKernel/IAlgTool.h"

static const InterfaceID IID_IL0CondDBProvider ( "IL0CondDBProvider", 1, 1 );

/** @class IL0CondDBProvider IL0CondDBProvider.h
 *  
 *
 *  @author Olivier Deschamps
 *  @date   2007-10-13
 */
class IL0CondDBProvider : virtual public IAlgTool {
public: 

  // Return the interface ID
  static const InterfaceID& interfaceID() { return IID_IL0CondDBProvider; }


  virtual double scale(unsigned int base)=0;
  virtual double caloEtScale()=0;
  virtual double muonPtScale()=0;
  virtual const std::vector<int> RAMBCID(std::string vsn)=0;
  virtual int RAMBCID(std::string vsn,int bcid)=0;
  
protected:

private:

};
#endif // IL0CONDDBPROVIDER_H
