/*****************************************************************************\
* (c) Copyright 2000-2019 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/

#ifndef L0MUONKERNEL_L0MUONKERNELFROMXML_H
#define L0MUONKERNEL_L0MUONKERNELFROMXML_H     1

#include <string>

namespace L0Muon {

  /**   Function to create the units and registers factories for the L0Muon
        processor from  the xml representation in the given file.

        Notes :
        - the register factory instance has to be specified before hand
        - input parameter emulator :
        - false : only the Register factory is created
        - true  : the Unit factory is created in addition to the Register factory

        @author Julien Cogan
        @date  July the 1st 2005
  */
  void L0MuonKernelFromXML(std::string XmlFileName, bool emulator=true);

}  // namespace L0Muon

#endif      // L0MUONKERNEL_L0MUONKERNELFROMXML_H
