/*****************************************************************************\
* (c) Copyright 2000-2019 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/
#ifndef MUONDAQ_IMUONTELL1CONFIG_H 
#define MUONDAQ_IMUONTELL1CONFIG_H 1

// Include files
// from STL
#include <string>
#include <ostream>

// from Gaudi
#include "GaudiKernel/IAlgTool.h"

static const InterfaceID IID_IMuonTell1Config ( "IMuonTell1Config", 1, 0 );

/** @class IMuonTell1Config IMuonTell1Config.h MuonDAQ/IMuonTell1Config.h
 *  
 *
 *  @author 
 *  @date   2008-02-29
 */
class IMuonTell1Config : virtual public IAlgTool {
public: 

  // Return the interface ID
  static const InterfaceID& interfaceID() { return IID_IMuonTell1Config; }

  virtual StatusCode configTell1(int Tell1)=0;
  
protected:

private:

};


#endif // MUONDAQ_IMUONTELL1CONFIG_H
