/*****************************************************************************\
* (c) Copyright 2000-2019 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/
#ifndef SORTDIGITINL1_H 
#define SORTDIGITINL1_H 1



#include <iostream>
#include <functional>
#include "MuonDAQ/MuonHLTDigitFormat.h"
#include "MuonHLTBase.h"

class SortDigitInL1 :
  public std::binary_function<unsigned int,unsigned int,bool>{
public :
  bool operator()(  const unsigned int first, 
                    const unsigned int second )
    const;
};


inline bool SortDigitInL1::operator()(const unsigned int first,
const unsigned int second )const
{
//std::cout<<(( first & MuonHLTBaseV1::MaskAddress ) >>
//MuonHLTBaseV1::ShiftAddress)<<std::endl;
  return (( first & MuonHLTBaseV1::MaskAddress ) >> 
MuonHLTBaseV1::ShiftAddress) 
    <(( second & MuonHLTBaseV1::MaskAddress ) 
>>MuonHLTBaseV1::ShiftAddress);
  }



#endif // SORTDIGITINL1_H
