/*****************************************************************************\
* (c) Copyright 2000-2019 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/
#ifndef LOKI_LOKIGEN_H 
#define LOKI_LOKIGEN_H 1
// ============================================================================
// Include files
// ============================================================================
#include "LoKi/MoreFunctions.h"
// ============================================================================
#include "LoKi/GenTypes.h"
#include "LoKi/GenParticles.h"
#include "LoKi/GenVertices.h"
#include "LoKi/GenParticleCuts.h"
#include "LoKi/GenVertexCuts.h"
#include "LoKi/GenExtract.h"
#include "LoKi/GenAlgs.h"
#include "LoKi/GenKinematics.h"
#include "LoKi/PrintHepMCDecay.h"
#include "LoKi/BuildGenTrees.h"
#include "LoKi/GenChild.h"
#include "LoKi/IGenHybridFactory.h"
#include "LoKi/GenSources.h"
// ============================================================================
/** @file LoKi/LoKiGen.h
 *
 *  This file is a part of LoKi project - 
 *    "C++ ToolKit  for Smart and Friendly Physics Analysis"
 *
 *  The package has been designed with the kind help from
 *  Galina PAKHLOVA and Sergey BARSUK.  Many bright ideas, 
 *  contributions and advices from G.Raven, J.van Tilburg, 
 *  A.Golutvin, P.Koppenburg have been used in the design.
 *
 *  @author Vanya BELYAEV ibelyaev@physics.syr.edu
 *  @date 2001-01-23 
 */
// ============================================================================
// The END 
// ============================================================================
#endif // LOKI_LOKIGEN_H
// ============================================================================
