/*****************************************************************************\
* (c) Copyright 2000-2019 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/

//================================================================
/** @file StlArray.h
 *
 *  Header file for std::array + Additional Gaudi methods
 *
 *  @author Chris Jones   Christopher.Rob.Jones@cern.ch
 *  @date   2015-02-07
 */
//================================================================

#ifndef RICHKERNEL_STLARRAY_H 
#define RICHKERNEL_STLARRAY_H 1

// STL
#include <array>

// Gaudi
#include "GaudiKernel/MsgStream.h"

/// Implement textual MsgStream << method for boost::array's
template < class TYPE, std::size_t N >
inline MsgStream& operator << ( MsgStream& s, 
                                const std::array<TYPE,N>& data )
{
  for ( const auto& i : data ) { s << i << " "; }
  return s;
}

#endif // RICHKERNEL_STLARRAY_H
